//MCEHBYccyFxaCIFg2ArrsDTCDH/RRfwqZ1toHntYJY+dufQWunt8rODoOryzAO34
package nc.vo.arap.pay;

import nc.itf.arap.fieldmap.IBillFieldGet;
import nc.vo.arap.basebill.BaseBillVO;
import nc.vo.pub.IVOMeta;
import nc.vo.pubapp.pattern.model.meta.entity.vo.VOMetaFactory;

/**
 * <b> 在此处简要描述此类的功能 </b>
 * <p>
 * 在此处添加此类的描述信息
 * </p>
 * 创建日期:2009-06-24 12:35:15
 * 
 * @author
 * @version NCPrj ??
 */
public class PayBillVO extends BaseBillVO {
	private static final long serialVersionUID = 1L;

	public static final String AP_PAYBILL = "ap_paybill";
	public static final String DR = "dr";
	private nc.vo.pub.lang.UFDate expectdealdate;
	private java.lang.String consignagreement;
	private java.lang.String creditorreference;
	private nc.vo.pub.lang.UFBoolean sddreversalflag;
	private java.lang.String reversalreason;
	private java.lang.String failurereason;
	private java.lang.String payreason;

	public static final String PK_PCORG = "pk_pcorg";
	public static final String PK_FIORG = "pk_fiorg";
	public static final String PK_ORG = "pk_org";
	public static final String SETT_ORG = "sett_org";
	public static final String PK_FIORG_V = "pk_fiorg_v";
	public static final String PK_PCORG_V = "pk_pcorg_v";
	public static final String PK_ORG_V = "pk_org_v";
	public static final String SETT_ORG_V = "sett_org_v";
	public static final String ISREDED = "isreded";
	public static final String OUTBUSITYPE = "outbusitype";
	public static final String PAYMAN = "payman";
	public static final String PAYDATE = "paydate";
	public static final String ISONLINEPAY = "isonlinepay";
	public static final String OFFICIALPRINTUSER = "officialprintuser";
	public static final String OFFICIALPRINTDATE = "officialprintdate";
	public static final String SETTLENUM = "settlenum";
	public static final String PK_GROUP = "pk_group";
	public static final String MODIFIEDTIME = "modifiedtime";
	public static final String CREATIONTIME = "creationtime";
	public static final String CREATOR = "creator";
	public static final String PK_BILLTYPE = "pk_billtype";
	public static final String ISMANDATEPAY = "ismandatepay";
	public static final String CUSTDELEGATE = "custdelegate";
	public static final String PK_CORP = "pk_corp";
	public static final String MODIFIER = "modifier";
	public static final String PK_TRADETYPE = "pk_tradetype";
	public static final String PK_TRADETYPEID = "pk_tradetypeid";
	public static final String BILLCLASS = "billclass";
	public static final String PK_PAYBILL = "pk_paybill";
	public static final String ACCESSORYNUM = "accessorynum";
	public static final String SUBJCODE = "subjcode";
	public static final String ISFLOWBILL = "isflowbill";
	public static final String CONFIRMUSER = "confirmuser";
	public static final String ISINIT = "isinit";
	public static final String BILLNO = "billno";
	public static final String BILLDATE = "billdate";
	public static final String SYSCODE = "syscode";
	public static final String SRC_SYSCODE = "src_syscode";
	public static final String BILLSTATUS = "billstatus";
	public static final String BILLMAKER = "billmaker";
	public static final String APPROVER = "approver";
	public static final String APPROVEDATE = "approvedate";
	public static final String ISNETPAYREADY = "isnetpayready";
	public static final String LASTADJUSTUSER = "lastadjustuser";
	public static final String SIGNUSER = "signuser";
	public static final String SIGNYEAR = "signyear";
	public static final String INVOICENO = "invoiceno";
	public static final String SIGNPERIOD = "signperiod";
	public static final String SIGNDATE = "signdate";
	public static final String PK_BUSITYPE = "pk_busitype";
	public static final String MONEY = "money";
	public static final String LOCAL_MONEY = "local_money";
	public static final String BILLYEAR = "billyear";
	public static final String BILLPERIOD = "billperiod";
	public static final String SCOMMENT = "scomment";
	public static final String SETTLEFLAG = "settleflag";
	public static final String SETTLETYPE = "settletype";
	public static final String EFFECTSTATUS = "effectstatus";
	public static final String EFFECTUSER = "effectuser";
	public static final String EFFECTDATE = "effectdate";
	public static final String LASTAPPROVEID = "lastapproveid";
	public static final String DEF1 = "def1";
	public static final String DEF30 = "def30";
	public static final String DEF29 = "def29";
	public static final String DEF28 = "def28";
	public static final String DEF27 = "def27";
	public static final String DEF26 = "def26";
	public static final String DEF25 = "def25";
	public static final String DEF24 = "def24";
	public static final String DEF23 = "def23";
	public static final String DEF22 = "def22";
	public static final String DEF21 = "def21";
	public static final String DEF20 = "def20";
	public static final String DEF19 = "def19";
	public static final String DEF18 = "def18";
	public static final String DEF17 = "def17";
	public static final String DEF16 = "def16";
	public static final String DEF15 = "def15";
	public static final String DEF14 = "def14";
	public static final String DEF13 = "def13";
	public static final String DEF12 = "def12";
	public static final String DEF11 = "def11";
	public static final String DEF10 = "def10";
	public static final String DEF9 = "def9";
	public static final String DEF8 = "def8";
	public static final String DEF7 = "def7";
	public static final String DEF6 = "def6";
	public static final String DEF5 = "def5";
	public static final String DEF4 = "def4";
	public static final String DEF3 = "def3";
	public static final String DEF2 = "def2";
	public static final String TALLYDATE = "tallydate";
	public static final String GROUPLOCAL = "grouplocal";
	public static final String GLOBALLOCAL = "globallocal";
	public static final String RATE = "rate";
	public static final String GROUPRATE = "grouprate";
	public static final String GLOBALRATE = "globalrate";
	public static final String CHECKELEMENT = "checkelement";
	public static final String PU_DEPTID = "pu_deptid";
	public static final String PU_PSNDOC = "pu_psndoc";
	public static final String PU_ORG = "pu_org";
	public static final String CASHITEM = "cashitem";
	public static final String BANKROLLPROJET = "bankrollprojet";
	public static final String PK_DEPTID = "pk_deptid";
	public static final String PK_PSNDOC = "pk_psndoc";
	public static final String SUPPLIER = "supplier";
	public static final String CUSTOMER = "customer";
	public static final String PK_CURRTYPE = "pk_currtype";
	public static final String PK_SUBJCODE = "pk_subjcode";
	public static final String PK_BALATYPE = "pk_balatype";
	public static final String OBJTYPE = "objtype";
	public static final String PAYACCOUNT = "payaccount";
	public static final String RECACCOUNT = "recaccount";
	public static final String CASHACCOUNT = "cashaccount";
	public static final String PU_ORG_V = "pu_org_v";
	public static final String COORDFLAG = "coordflag";
	public static final String BUSIDATE = "busidate";
	public static final String ISFORCE = "isforce";
	public static final String COMMPAYBEGINDATE = "commpaybegindate";
	public static final String COMMPAYENDDATE = "commpayenddate";
	public static final String EXPECTDEALDATE = "expectdealdate";
	public static final String CONSIGNAGREEMENT = "consignagreement";
	public static final String CREDITORREFERENCE = "creditorreference";
	public static final String SDDREVERSALFLAG = "sddreversalflag";
	public static final String REVERSALREASON = "reversalreason";
	public static final String PAYREASON = "payreason";
	public static final String ISREFUND = "isrefund";// 是否退款
	private String pk_paybill;

	// cloud新增加的字段
	public static final String ISURGENT = "isurgent";
	public static final String DEF31 = "def31";
	public static final String DEF32 = "def32";
	public static final String DEF33 = "def33";
	public static final String DEF34 = "def34";
	public static final String DEF35 = "def35";
	public static final String DEF36 = "def36";
	public static final String DEF37 = "def37";
	public static final String DEF38 = "def38";
	public static final String DEF39 = "def39";
	public static final String DEF40 = "def40";
	public static final String DEF41 = "def41";
	public static final String DEF42 = "def42";
	public static final String DEF43 = "def43";
	public static final String DEF44 = "def44";
	public static final String DEF45 = "def45";
	public static final String DEF46 = "def46";
	public static final String DEF47 = "def47";
	public static final String DEF48 = "def48";
	public static final String DEF49 = "def49";
	public static final String DEF50 = "def50";
	public static final String DEF51 = "def51";
	public static final String DEF52 = "def52";
	public static final String DEF53 = "def53";
	public static final String DEF54 = "def54";
	public static final String DEF55 = "def55";
	public static final String DEF56 = "def56";
	public static final String DEF57 = "def57";
	public static final String DEF58 = "def58";
	public static final String DEF59 = "def59";
	public static final String DEF60 = "def60";
	public static final String DEF61 = "def61";
	public static final String DEF62 = "def62";
	public static final String DEF63 = "def63";
	public static final String DEF64 = "def64";
	public static final String DEF65 = "def65";
	public static final String DEF66 = "def66";
	public static final String DEF67 = "def67";
	public static final String DEF68 = "def68";
	public static final String DEF69 = "def69";
	public static final String DEF70 = "def70";
	public static final String DEF71 = "def71";
	public static final String DEF72 = "def72";
	public static final String DEF73 = "def73";
	public static final String DEF74 = "def74";
	public static final String DEF75 = "def75";
	public static final String DEF76 = "def76";
	public static final String DEF77 = "def77";
	public static final String DEF78 = "def78";
	public static final String DEF79 = "def79";
	public static final String DEF80 = "def80";
	public static final String SAGA_FROZEN = "saga_frozen";
	public static final String SAGA_GTXID = "saga_gtxid";
	public static final String SAGA_BTXID = "saga_btxid";
	public static final String SAGA_STATUS = "saga_status";

	public static final String PARAM_DRIVEACTION = "driveaction"; // 用于审批流驱动时

	public static final String DEF81 = "def81";
	public static final String DEF82 = "def82";
	public static final String DEF83 = "def83";
	public static final String DEF84 = "def84";
	public static final String DEF85 = "def85";
	public static final String DEF86 = "def86";
	public static final String DEF87 = "def87";
	public static final String DEF88 = "def88";
	public static final String DEF89 = "def89";
	public static final String DEF90 = "def90";
	public static final String DEF91 = "def91";
	public static final String DEF92 = "def92";
	public static final String DEF93 = "def93";
	public static final String DEF94 = "def94";
	public static final String DEF95 = "def95";
	public static final String DEF96 = "def96";
	public static final String DEF97 = "def97";
	public static final String DEF98 = "def98";
	public static final String DEF99 = "def99";
	public static final String DEF100 = "def100";

	private String def81;
	private String def82;
	private String def83;
	private String def84;
	private String def85;
	private String def86;
	private String def87;
	private String def88;
	private String def89;
	private String def90;
	private String def91;
	private String def92;
	private String def93;
	private String def94;
	private String def95;
	private String def96;
	private String def97;
	private String def98;
	private String def99;
	private String def100;

	public PayBillVO() {
		super();
		setBillclass(IBillFieldGet.FK);
	}

	/**
	 * <p>
	 * 取得父VO主键字段.
	 * <p>
	 * 创建日期:
	 * 
	 * @return java.lang.String
	 */
	@Override
	public java.lang.String getParentPKFieldName() {
		return null;
	}

	/**
	 * <p>
	 * 取得表主键.
	 * <p>
	 * 创建日期:
	 * 
	 * @return java.lang.String
	 */
	@Override
	public java.lang.String getPKFieldName() {
		return "pk_paybill";
	}

	/**
	 * <p>
	 * 返回表名称.
	 * <p>
	 * 创建日期:
	 * 
	 * @return java.lang.String
	 */
	@Override
	public java.lang.String getTableName() {
		return "ap_paybill";
	}

	@Override
	public IVOMeta getMetaData() {
		IVOMeta meta = VOMetaFactory.getInstance().getVOMeta("arap.paybill");
		return meta;
	}

	public static String getDefautTable() {
		return AP_PAYBILL;
	}

	public String getPk_paybill() {
		return pk_paybill;
	}

	public void setPk_paybill(String pkPaybill) {
		pk_paybill = pkPaybill;
	}

	public static String getDefaultTable() {
		return "ap_paybill";
	}

	public nc.vo.pub.lang.UFDate getExpectdealdate() {
		return expectdealdate;
	}

	public void setExpectdealdate(nc.vo.pub.lang.UFDate expectdealdate) {
		this.expectdealdate = expectdealdate;
	}

	public java.lang.String getConsignagreement() {
		return consignagreement;
	}

	public void setConsignagreement(java.lang.String consignagreement) {
		this.consignagreement = consignagreement;
	}

	public java.lang.String getCreditorreference() {
		return creditorreference;
	}

	public void setCreditorreference(java.lang.String creditorreference) {
		this.creditorreference = creditorreference;
	}

	public nc.vo.pub.lang.UFBoolean getSddreversalflag() {
		return sddreversalflag;
	}

	public void setSddreversalflag(nc.vo.pub.lang.UFBoolean sddreversalflag) {
		this.sddreversalflag = sddreversalflag;
	}

	public java.lang.String getReversalreason() {
		return reversalreason;
	}

	public void setReversalreason(java.lang.String reversalreason) {
		this.reversalreason = reversalreason;
	}

	public java.lang.String getPayreason() {
		return payreason;
	}

	public void setPayreason(java.lang.String payreason) {
		this.payreason = payreason;
	}

	public java.lang.String getFailurereason() {
		return failurereason;
	}

	public void setFailurereason(java.lang.String failurereason) {
		this.failurereason = failurereason;
	}

	public String getDef81() {
		return def81;
	}

	public void setDef81(String def81) {
		this.def81 = def81;
	}

	public String getDef82() {
		return def82;
	}

	public void setDef82(String def82) {
		this.def82 = def82;
	}

	public String getDef83() {
		return def83;
	}

	public void setDef83(String def83) {
		this.def83 = def83;
	}

	public String getDef84() {
		return def84;
	}

	public void setDef84(String def84) {
		this.def84 = def84;
	}

	public String getDef85() {
		return def85;
	}

	public void setDef85(String def85) {
		this.def85 = def85;
	}

	public String getDef86() {
		return def86;
	}

	public void setDef86(String def86) {
		this.def86 = def86;
	}

	public String getDef87() {
		return def87;
	}

	public void setDef87(String def87) {
		this.def87 = def87;
	}

	public String getDef88() {
		return def88;
	}

	public void setDef88(String def88) {
		this.def88 = def88;
	}

	public String getDef89() {
		return def89;
	}

	public void setDef89(String def89) {
		this.def89 = def89;
	}

	public String getDef90() {
		return def90;
	}

	public void setDef90(String def90) {
		this.def90 = def90;
	}

	public String getDef91() {
		return def91;
	}

	public void setDef91(String def91) {
		this.def91 = def91;
	}

	public String getDef92() {
		return def92;
	}

	public void setDef92(String def92) {
		this.def92 = def92;
	}

	public String getDef93() {
		return def93;
	}

	public void setDef93(String def93) {
		this.def93 = def93;
	}

	public String getDef94() {
		return def94;
	}

	public void setDef94(String def94) {
		this.def94 = def94;
	}

	public String getDef95() {
		return def95;
	}

	public void setDef95(String def95) {
		this.def95 = def95;
	}

	public String getDef96() {
		return def96;
	}

	public void setDef96(String def96) {
		this.def96 = def96;
	}

	public String getDef97() {
		return def97;
	}

	public void setDef97(String def97) {
		this.def97 = def97;
	}

	public String getDef98() {
		return def98;
	}

	public void setDef98(String def98) {
		this.def98 = def98;
	}

	public String getDef99() {
		return def99;
	}

	public void setDef99(String def99) {
		this.def99 = def99;
	}

	public String getDef100() {
		return def100;
	}

	public void setDef100(String def100) {
		this.def100 = def100;
	}

}

//MCEHBYccyFxaCIFg2ArrsDTCDH/RRfwqZ1toHntYJY+dufQWunt8rODoOryzAO34